---------------------------------------------------------------------------------------------------------------------------------------
-- VICTOR MANUEL MIÑAMBRES CHAMORRO.
---------------------------------------------------------------------------------------------------------------------------------------
-- TFG -------------------- GLOBAL SERVICE DESK ---------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------------------------------------
-- Se insertan los datos para crear un prototipo de pruebas.
---------------------------------------------------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------------------------------------
--delete from Support;
--delete from Centers;
--delete from Users;
--delete from State;
--delete from Messages;
--delete from Services;
--delete from Tickets;

-- Se insertan los grupos de soporte y los usuarios fuera de soporte (que son los clientes).
insert into Support values ('0','Usuario fuera de soporte','0','');
insert into Support values ('G00001','Soporte nivel 1','L1','Soporte_Nivel1@corp_mail.com');
insert into Support values ('G00002','Soporte nivel 2','L2','Soporte_Nivel2@corp_mail.com');
insert into Support values ('G00003','Soporte nivel 3','L3','Soporte_Nivel3@corp_mail.com');
insert into Support values ('G00004','Soporte nivel 4 (Problem Management)','L4','Soporte_Problem_Management@corp_mail.com');
--------------------------------------------------------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------------------------------------------------------- 


-- Se insertan los centros.  
insert into Centers values ('SD00001','Turquía','52 Victory Street Izmir','Centro de Producción');
insert into Centers values ('SD00002','España','Paseo de la Castellana, 6, 4ºA, 28046, Madrid','Centro de Logística');
insert into Centers values ('SD00003','España','Doctor Blanco Soler, 4, 5ºB, 14004, Córdoba','Centro de Distribucción');
--------------------------------------------------------------------------------------------------------------------------------------------- 
---------------------------------------------------------------------------------------------------------------------------------------------

 
-- Se insertan los usuarios de pruebas.
insert into Users values ('User1@corp_mail.com',CURRENT,CURRENT,'Administrador',CURRENT,'SD00001','G00001');
insert into Users values ('User2@corp_mail.com',CURRENT,CURRENT,'Cliente',CURRENT,'SD00003','0');
insert into Users values ('User3@corp_mail.com',CURRENT,CURRENT,'Administrador',NULL,'SD00001','G00001');
insert into Users values ('User4@corp_mail.com',CURRENT,CURRENT,'Cliente',NULL,'SD00003','0');


--------------------------------------------------------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------------------------------------------------------- 
 
-- Se insertan los servicios disponibles.
insert into Services values ('SE0000242','Servicio de soporte al usuario','Soporte Nivel 1','P4', '4 días');
insert into Services values ('SE0056987','Servicio de soporte al nivel 2','Soporte Nivel 2','P3', '2 días');
insert into Services values ('SE0056423','Servicio de soporte al nivel 3','Soporte Nivel 3','P2', '1 día');
insert into Services values ('SE0000678','Servicio de soporte externo','Soporte Problem Management','P1', '1 hora');
--------------------------------------------------------------------------------------------------------------------------------------------- 
--------------------------------------------------------------------------------------------------------------------------------------------- 

-- Se insertan los tickets de prueba.
insert into Tickets values ('T000000001', 'INC', 'User1@corp_mail.com', CURRENT, 'P4' , 'SE0000242','WEB', 'T000000001', 'Solicitar permisos de acceso a la aplicación GSD del tipo consulta para los usuarios del departamento de Riesgos.', 'MS0000456',NULL);
insert into Tickets values ('T000000002', 'PET', 'User2@corp_mail.com', CURRENT, 'P3' , 'SE0056987','CHAT', 'T000000002', 'Cambio de contraseña para todos los usuarios del departamento de Marketing', 'MS0000598',NULL);
insert into Tickets values ('T000000003', 'INC', 'User1@corp_mail.com', CURRENT, 'P2' , 'SE0056423','TLF', 'T000000003', 'Problemas al acceder a la tabla TI de la base de datos con código de error -143', 'MS0000022',NULL);
insert into Tickets values ('T000000004', 'INC', 'User2@corp_mail.com', CURRENT, 'P1' , 'SE0000678','WEB', 'T000000004', 'Caida de aplicación', 'MS0000898',NULL);
--------------------------------------------------------------------------------------------------------------------------------------------- 
---------------------------------------------------------------------------------------------------------------------------------------------
 
-- Se insertan los estados por los que puede pasar un Ticket.
insert into State values (0,'T000000001',CURRENT,'User1@corp_mail.com','Creado');
insert into State values (0,'T000000001',CURRENT,'User1@corp_mail.com','Asignado');
insert into State values (0,'T000000001',CURRENT,'User1@corp_mail.com','En progreso');
insert into State values (0,'T000000001',CURRENT,'User1@corp_mail.com','Cancelado');
insert into State values (0,'T000000001',CURRENT,'User1@corp_mail.com','Resuelto');

insert into State values (0,'T000000002',CURRENT,'User2@corp_mail.com','Creado');
insert into State values (0,'T000000002',CURRENT,'User2@corp_mail.com','Asignado');
insert into State values (0,'T000000002',CURRENT,'User2@corp_mail.com','En progreso');
insert into State values (0,'T000000002',CURRENT,'User2@corp_mail.com','Resuelto');
insert into State values (0,'T000000002',CURRENT,'User2@corp_mail.com','Cancelado');

insert into State values (0,'T000000003',CURRENT,'User1@corp_mail.com','Creado');

insert into State values (0,'T000000004',CURRENT,'User2@corp_mail.com','Creado');
insert into State values (0,'T000000004',CURRENT,'User2@corp_mail.com','Asignado');
insert into State values (0,'T000000004',CURRENT,'User2@corp_mail.com','En progreso');

--------------------------------------------------------------------------------------------------------------------------------------------- 
---------------------------------------------------------------------------------------------------------------------------------------------

-- Se insertan los mensajes de un Ticket.
insert into Messages values ('MS0000456',CURRENT,'User1@corp_mail.com','Recibido','T000000001');
insert into Messages values ('MS0000457',CURRENT,'User1@corp_mail.com','Recibido','T000000001');
insert into Messages values ('MS0000458',CURRENT,'User1@corp_mail.com','Enviado','T000000001');
insert into Messages values ('MS0000459',CURRENT,'User1@corp_mail.com','Enviado','T000000001');
insert into Messages values ('MS0000598',CURRENT,'User2@corp_mail.com','Enviado','T000000002');
insert into Messages values ('MS00003216',CURRENT,'Soporte_Nivel1@corp_mail.com','Enviado','T000000003');
insert into Messages values ('MS0000022',CURRENT,'Soporte_Nivel2@corp_mail.com','Recibido','T000000003');
insert into Messages values ('MS0000898',CURRENT,'Soporte_Nivel3@corp_mail.com','Recibido','T000000004');
--------------------------------------------------------------------------------------------------------------------------------------------- 
---------------------------------------------------------------------------------------------------------------------------------------------































