---------------------------------------------------------------------------------------------------------------------------------------
-- VICTOR MANUEL MIÑAMBRES CHAMORRO.
---------------------------------------------------------------------------------------------------------------------------------------
-- TFG -------------------- GLOBAL SERVICE DESK ---------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------------------------------------
-- Se crea el esquema para el repositorio estadístico.
---------------------------------------------------------------------------------------------------------------------------------------

drop table timeSolInc;

CREATE TABLE GSD.timeSolInc
(
  cod_timeSolInc SERIAL,
  month_tsi		INTEGER,
  timeAcu	INTEGER,
  timeSol	VARCHAR(50),
  priority  VARCHAR(50),
  numInc    INTEGER
    
) extent size 200  next size 64  lock mode row;

revoke all on timeSolInc from "public" as "informix";

create unique index ix_timeSolInc on timeSolInc (cod_timeSolInc) using btree  in cycprod_idx1;

alter table timeSolInc add constraint primary key (cod_timeSolInc) constraint pk_timeSolInc;
---------------------------------------------------------------------------------------------------------------------------------------